[Deprecated]: V1.0
post
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/studyVersion/{studyVersion}/signSubject/subject/{subjectId}/code/{code}/orgId/{orgId}
Deprecated: Signs a subject and all completed visits in the subject.
Request
Path Parameters
-
code(required): string
Code is sent via IAMS as initial sign
-
mode(required): string
Mode of the study. Accepts test, active, or training.
-
orgId(required): string
IAMS Tenant Short Org ID in format of UUID, 32-character uppercase hexadecimal string
-
studyId(required): string
ID of the study to which the subject belongs.
-
studyVersion(required): string
Study version associated to subject's site.
-
subjectId(required): string
ID of the current subject to sign.
Query Parameters
-
redirectUriHostname: string
Redirect URI
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects sign success
Root Schema : schema
Type:
Show Source
array-
Array of:
object SignVerifyDto v1
Title:
SignVerifyDto v1sign or verify request
Nested Schema : SignVerifyDto v1
Type:
objectTitle:
SignVerifyDto v1sign or verify request
Show Source
-
eventId: string
-
eventInstanceNum: integer
-
formId: string
-
itemId: string
-
repeatSequenceNumber: integer
-
signed: string
-
studyVersion(required): string
Minimum Length:
1Maximum Length:64 -
subjectId: string
-
verify: string
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.